﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Networking;
using Networking;
using Networking.Client;

public class NetworkedUIManager : PlayerUIManager
{
    [SerializeField]
    private ClientObject Client;
    [SerializeField]
    private TMPro.TextMeshProUGUI TimeText;
    [SerializeField]
    private RectTransform Title;

    [SerializeField]
    private float TotalTime;



    private float StartTime;
    private BlockReader reader;

    protected override void Awake()
    {
        base.Awake();
        reader = new BlockReader();
        TrayUI.SetBlockReader(reader);
        StartTime = Time.time;
        ShowPosition.y -= Title.rect.height;
    }

    private void Update()
    {
        TimeText.text = ((int)(TotalTime - (Time.time - StartTime))).ToString();

        if (Time.time - StartTime > TotalTime)
            OnClick_Play();
    }

    public override void OnClick_Play()
    {
        OnClick_Hide();
        LogicProtocols.LogicMsg msg = new LogicProtocols.LogicMsg(reader.LogicChain.ToArray());

        Debug.Log("sending on " + LogicProtocols.SendLogicList);
        Client.client.SendByChannel(LogicProtocols.SendLogicList, msg, TransportConfigure.ReliableFragmented);
        UnityEngine.SceneManagement.SceneManager.LoadScene("WaitScene");
    }

    
}
